> For the complete documentation index, see [llms.txt](https://docs.scepman.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.scepman.com/pt/gestao-de-certificados/management-rest-api/management-api-in-scepmanclient.md).

# API de gestão no SCEPmanClient

Use `Find-SCEPmanCertificate` para pesquisar certificados emitidos no SCEPman e `Revoke-SCEPmanCertificate` para revogar um certificado quando ele já não for confiável ou já não for necessário.

### Requisitos

Antes de poder pesquisar ou revogar certificados, certifique-se de que a sua identidade tem a **Manage.All** função.

Certifique-se também de ter configurado os pré-requisitos gerais para o uso do SCEPmanClient: [https://app.gitbook.com/o/-LhPlvZ6dc8XcqY7tdZw/s/-LoGejQeUQcw7lqnQ3WX/\~/edit/\~/changes/863/certificate-management/api-certificates/scepmanclient#prerequisites](/pt/gestao-de-certificados/api-certificates/scepmanclient.md#prerequisites)

{% hint style="info" %}
Se você atualizar a partir de uma versão anterior do SCEPman, talvez ainda não tenha a função Manage.All. Execute `Complete-SCEPmanInstallation` novamente em um shell de nuvem para adicioná-la automaticamente à sua aplicação SCEPman-api.
{% endhint %}

### Encontrar certificados

Use `Find-SCEPmanCertificate` para pesquisar certificados pelo número de série, assunto ou solicitante.

Se for encontrado pelo menos um certificado, é retornado um objeto semelhante à seguinte estrutura JSON:

```json
{
  "items": [
    {
    "serialNumber":  "507AEAC03CCEF83F106914418D9222E466A629C1",
    "subject":  "CN=device01.contoso.local",
    "sans":  null,
    "upn":  null,
    "issuanceDate":  "2026-05-28T10:57:22Z",
    "expirationDate":  "2028-05-28T10:57:22Z",
    "revocationDate":  null,
    "revocationReason":  null,
    "revokedBy":  null,
    "requester":  "pkiAdmin@contoso.com",
    "source":  "CertificateMaster",
    "certificateType":  "Static"
    }
  ],
  "continuationToken": "..."
}
```

#### Exemplo: encontrar um único certificado pelo número de série

```powershell
Find-SCEPmanCertificate -Url scepman.conitoso.com `
    -SearchText '5056BB9B823132CB26210A4C90A62FB3C25E38D0' `
    | Select-Object -ExpandProperty items

serialNumber     : 5056BB9B823132CB26210A4C90A62FB3C25E38D0
subject          : CN=clara.oswald@contoso.com
sans             : clara.oswald@contoso.com
upn              : clara.oswald@contoso.com
issuanceDate     : 2026-05-28T11:06:11Z
expirationDate   : 2028-05-28T11:06:11Z
revocationDate   :
revocationReason :
revokedBy        :
requester        : pkiAdmin@contoso.com
source           : CertificateMaster
certificateType  : Static
```

### Entender resultados paginados

Se o conjunto de resultados for grande, `Find-SCEPmanCertificate` pode retornar um token de continuação. Use esse token para solicitar a próxima página.

#### Exemplo: primeira página com token de continuação

```powershell
$result = Find-SCEPmanCertificate -Url scepman.contoso.com -SearchText "CN=device"
$result
```

Exemplo de saída:

```powershell
ContinuationToken : 1!48!ODY2OURBN0QtQzk0My00QjU3LUI5OEYtNzA5RjY5MDlCRDkw
Items             : {@{serialNumber=60B26DD32CF07F30D6760848A5233CBAE90DCDBC; subject=CN=device01.contoso.local},
                    @{serialNumber=50F1754E85238752527C3140ABD0CEF2C7DC9439; subject=CN=device02.contoso.local}}
```

#### Exibir os certificados retornados em detalhe

```powershell
$result = Find-SCEPmanCertificate -Url scepman.contoso.com -SearchText "CN=device"
$result.Items
```

Exemplo de saída:

```powershell
serialNumber                             subject
------------                             -------
60B26DD32CF07F30D6760848A5233CBAE90DCDBC CN=device01.contoso.local
50F1754E85238752527C3140ABD0CEF2C7DC9439 CN=device02.contoso.local
```

#### Solicite a próxima página com o token de continuação

```powershell
$firstPage = Find-SCEPmanCertificate -Url scepman.contoso.com -SearchText "CN=device"
$nextPage = Find-SCEPmanCertificate -Url scepman.contoso.com -ContinuationToken $firstPage.ContinuationToken
$nextPage.Items
```

Exemplo de saída:

```powershell
serialNumber                             subject
------------                             -------
5048D2541F7F401C42B7E943A7C82FB37A179F83 CN=device03.contoso.local
50BCCDA973AEEA55E00FAF4A9A088DFB7564F263 CN=device04.contoso.local
```

### Revogar um certificado

Use `Revoke-SCEPmanCertificate` para revogar um certificado pelo seu número de série que foi emitido anteriormente.

```powershell
Revoke-SCEPmanCertificate -SerialNumber "480552CEBBE40FD5D4417532033728F353040000" -RevocationReason CessationOfOperation
```

#### Exemplo: encontrar um certificado e revogá-lo

```powershell
$result= Find-SCEPmanCertificate -Url scepman.contoso.com -SearchText "480552CEBBE40FD5D4417532033728F353040000"
$cert = $result.items

Revoke-SCEPmanCertificate -SerialNumber $cert.Items[0].serialNumber
```

Exemplo de saída:

```powershell
Revoke-SCEPmanCertificate: Certificado 480552CEBBE40FD5D4417532033728F353040000 revogado com sucesso.
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.scepman.com/pt/gestao-de-certificados/management-rest-api/management-api-in-scepmanclient.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
